Bug 733718 - switching tabs in infinite loop
switching tabs in infinite loop
Status: ASSIGNED
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq41-ui rhq-uxd
  Show dependency treegraph
 
Reported: 2011-08-26 11:24 EDT by John Mazzitelli
Modified: 2012-07-09 13:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
video (.ogg format) showing bug (205.45 KB, audio/ogg)
2011-08-26 11:25 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2011-08-26 11:24:02 EDT
The UI is having that problem again of when clicking through the UI quickly (though not abnormally quickly), the UI gets into a state where the tabs keep switching back and forth.

See the attached video (in .ogg format) as the example that I just witnessed.
Comment 1 John Mazzitelli 2011-08-26 11:25:21 EDT
Created attachment 520111 [details]
video (.ogg format) showing bug
Comment 2 Jay Shaughnessy 2011-08-29 17:52:43 EDT
I failed to reproduce.  Can anyone get this to happen with fairly standard
repro steps?  There has been one tabbing fix since this was reported.
Probably not going to stop this but it's possible, as it did prevent
an unexpected smartgwt event from getting generated in certain situations.
Comment 3 John Mazzitelli 2011-08-30 11:43:29 EDT
I replicated this by fast clicking for a couple of minutes. I was on a resource view (with the tree on the left and tabbed view on the right) - then, just start fast clicking. I had no method to my madness - I just clicked as fast as I could on all tree nodes and all tabs - going back and forth between clicking tabs and tree nodes.

Note You need to log in before you can comment on or make changes to this bug.